# vim: set filetype=hyprlang :
# This is an example Hyprland config file.
# Syntax is the same as in Hypr, but settings might differ.
#
# Refer to the wiki for more information.
source=./monitors.conf
#workspace=DP-1,1
#workspace=1, monitor:DP-1
#workspace=2, monitor:DP-1
#workspace=3, monitor:DP-1
#workspace=4, monitor:DP-1
#workspace=5, monitor:DP-1
#workspace=6, monitor:DP-3
#workspace=7, monitor:DP-3
#workspace=8, monitor:DP-3
#workspace=9, monitor:DP-3
#workspace=10, monitor:DP-3


input {
		kb_layout=pl
		kb_variant=
		kb_model=
		kb_options=
		kb_rules=
		numlock_by_default=true
		follow_mouse=1
		touchpad {
			natural_scroll=true
			tap-and-drag=false
		}
}

device {
	name=ploopy-corporation-ploopy-adept-trackball-mouse
	#accel_profile=custom 10 0.0 1.0 2.0 4.0
	sensitivity=-1
}

general {
		$main_mod=SUPER
		gaps_in=5
		gaps_out=20
		border_size=2
		col.active_border=0x66ee1111
		col.inactive_border=0x66333333
		resize_on_border=false
		#damage_tracking=full # leave it on full unless you hate your GPU and want to make it suffer
}

gestures {
		#workspace_swipe=true
		workspace_swipe_touch=true
}


decoration {
		rounding=10
    blur {
			enabled=1
			size=3 # minimum 1
			passes=3 # minimum 1, more passes = more resource intensive.
     }
}

dwindle {
	pseudotile=1 # enable pseudotiling on dwindle
}

#debug {
#		full_cm_proto=true
#}

misc {
	force_default_wallpaper=0
	vrr=1
	enable_anr_dialog=0
}

bind=SUPERSHIFT,Z,exec,alacritty
bind=SUPER,Z,exec,wezterm
bind=SUPER,X,killactive,
bind=SUPER_SHIFT,X,exec,hyprctl activewindow |grep pid |tr -d 'pid:'|xargs kill
bind=SUPER_SHIFT,Q,exit,

bind=SUPER,E,exec,nemo
bind=SUPERSHIFT,E,exec,wezterm -e ranger

bind=SUPER,F,fullscreen,1
bind=SUPERSHIFT,F,fullscreen,0

bind=SUPERSHIFT,L,exec,hyprlock

bind=SUPER,T,togglefloating,
bind=SUPER,R,exec,wofi --show drun -o DP-3
bind=SUPER,P,pseudo,
bind=SUPER,SPACE,exec,uwsm app -- rofi -modi drun,run,window,calc -show drun
bind=SUPER,C,pin

bind=SUPER,left,movefocus,l
bind=SUPER,right,movefocus,r
bind=SUPER,up,movefocus,u
bind=SUPER,down,movefocus,d

bindm = SUPER, mouse:272, movewindow
bindm = SUPER, mouse:273, resizewindow

bind=SUPER,1,workspace,1
bind=SUPER,2,workspace,2
bind=SUPER,3,workspace,3
bind=SUPER,4,workspace,4
bind=SUPER,5,workspace,5
bind=SUPER,6,workspace,6
bind=SUPER,7,workspace,7
bind=SUPER,8,workspace,8
bind=SUPER,9,workspace,9
bind=SUPER,0,workspace,10


bind=SUPER_ALT,1,workspace,11
bind=SUPER_ALT,2,workspace,12
bind=SUPER_ALT,3,workspace,13
bind=SUPER_ALT,4,workspace,14
bind=SUPER_ALT,5,workspace,15
bind=SUPER_ALT,6,workspace,16
bind=SUPER_ALT,7,workspace,17
bind=SUPER_ALT,8,workspace,18
bind=SUPER_ALT,9,workspace,19
bind=SUPER_ALT,0,workspace,20



bind=SUPER_SHIFT,1,movetoworkspacesilent,1
bind=SUPER_SHIFT,2,movetoworkspacesilent,2
bind=SUPER_SHIFT,3,movetoworkspacesilent,3
bind=SUPER_SHIFT,4,movetoworkspacesilent,4
bind=SUPER_SHIFT,5,movetoworkspacesilent,5
bind=SUPER_SHIFT,6,movetoworkspacesilent,6
bind=SUPER_SHIFT,7,movetoworkspacesilent,7
bind=SUPER_SHIFT,8,movetoworkspacesilent,8
bind=SUPER_SHIFT,9,movetoworkspacesilent,9
bind=SUPER_SHIFT,0,movetoworkspacesilent,10



bind=SUPER_ALT_SHIFT,1,movetoworkspacesilent,11
bind=SUPER_ALT_SHIFT,2,movetoworkspacesilent,12
bind=SUPER_ALT_SHIFT,3,movetoworkspacesilent,13
bind=SUPER_ALT_SHIFT,4,movetoworkspacesilent,14
bind=SUPER_ALT_SHIFT,5,movetoworkspacesilent,15
bind=SUPER_ALT_SHIFT,6,movetoworkspacesilent,16
bind=SUPER_ALT_SHIFT,7,movetoworkspacesilent,17
bind=SUPER_ALT_SHIFT,8,movetoworkspacesilent,18
bind=SUPER_ALT_SHIFT,9,movetoworkspacesilent,19
bind=SUPER_ALT_SHIFT,0,movetoworkspacesilent,20

bind=SUPERSHIFT,S,exec,flameshot gui
bind=,PRINT,exec,flameshot full
bind=CTRL,PRINT,exec,flameshot gui
bind = SUPER, V, exec, nwg-clipman
# T14gen2 FN KEYS

bind=,XF86AudioMicMute,exec,amixer set Capture toggle
bind=,XF86AudioMute,exec,amixer set Master toggle
bind=,XF86AudioRaiseVolume,exec,amixer set Master playback 5%+
bind=,XF86AudioLowerVolume,exec,amixer set Master playback 5%-
bind=,XF86MonBrightnessUp,exec,xbacklight -inc 5
bind=,XF86MonBrightnessDown,exec,xbacklight -dec 5
# FN + RSHIFT
bind=,XF86Launch3,exec,touch-mode
bind=CTRL,XF86Launch3,exec,hyprctl keyword monitor "eDP-1,1920x1080@60,0x0,1"
bind=SHIFT,XF86Launch3,exec,hyprctl keyword monitor "eDP-1,1920x1080@60,0x0,1.5"

bind=,XF86Launch6,exec,equibop --toggle-mic
bind=,mouse:282,exec,equibop --toggle-mic

bind=SHIFT,XF86MonBrightnessDown,exec,xbacklight -set 0.01
bind=SHIFT,XF86MonBrightnessUp,exec,xbacklight -set 100

exec-once=dash ~/.config/hypr/autostart.sh
exec-once=hyprctl setcursor Posy_Cursor 24
# exec-once=dbus-update-activation-environment --systemd WAYLAND_DISPLAY XDG_CURRENT_DESKTOP
exec-once = wl-paste --type text --watch cliphist store
exec-once = wl-paste --type image --watch cliphist store
exec-once = carla -n ~/Default.carxp

windowrule {
	name = flameshot-main
	match:title = ^(flameshot)$
	float = on
	pin = on
	fullscreen = on
	maximize = on
	#center = on
	#monitor = 3
	size = monitor_w*2 monitor_h*1
	move = 0 0
}
windowrule {
	name = flameshot-pin
	match:title = ^(flameshot-pin)$
	float = on
	pin = on
	pseudo = on
	#fullscreen = on
	#maximize = on
	#center = on
	#monitor = 3
	#size = monitor_w*2 monitor_h*1
	#move = 0 0
}

windowrule {
	name=xwaylandvideobridge-hide
	match:class = ^(xwaylandvideobridge)$
	float = on
	#fullscreen = on
	#maximize = on
	#center = on
	#monitor = 3
	#size = monitor_w*2 monitor_h*1
	#move = 0 0
	opacity = 0.0 0.0 0.0
	no_focus = on
	no_blur = on
	no_initial_focus = on
}
windowrule = no_initial_focus on,match:class ^(com-eteks-sweethome3d-SweetHome3D)$

windowrule = stay_focused on,match:title ^rofi

# Envars; to play along with wayland nicely

env = QT_QPA_PLATFORM,wayland;xcb
env = CLUTTER_BACKEND,wayland
env = GDK_BACKEND,wayland,x11
env = QT_AUTO_SCREEN_SCALE_FACTOR,1
env = QT_QPA_PLATFORMTHEME,qt5ct
env = XDG_CURRENT_DESKTOP,Hyprland


source=plugins.conf

